Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ted: new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Wed, 20 Jan 2016 21:15:00 -0800

---
 testing/ted/APKBUILD          | 81 +++++++++++++++++++++++++++++++++++++++++++
 testing/ted/ted-motif.trigger |  4 +++
 2 files changed, 85 insertions(+)
 create mode 100644 testing/ted/APKBUILD
 create mode 100755 testing/ted/ted-motif.trigger
diff --git a/testing/ted/APKBUILD b/testing/ted/APKBUILD
new file mode 100644
index 0000000..10a72b0
--- /dev/null
+++ b/testing/ted/APKBUILD
_at_@ -0,0 +1,81 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=ted
+pkgver=2.23
+pkgrel=0
+pkgdesc="An easy Rich Text Processor"
+url="http://www.nllgg.nl/Ted/"
+arch="all"
+license="GPL2+"
+depends="$pkgname-common"
+makedepends="pcre-dev motif-dev gtk+2.0-dev libx11-dev
+	libxpm-dev libpng-dev libjpeg-turbo-dev tiff-dev libpaper-dev "
+install=""
+subpackages="$pkgname-motif $pkgname-common $pkgname-doc"
+source="http://ftp.nluug.nl/pub/editors/ted/ted-$pkgver.src.tar.gz"
+
+_builddir="$srcdir"/Ted-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make -j1 CONFIGURE_OPTIONS="--with-MOTIF" compile.shared || return 1
+	cp Ted/Ted Ted.motif || return 1
+	make clean || return 1
+	make -j1 compile.shared || return 1
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"
+	make DESTDIR="$pkgdir" install || return 1
+	cp Ted.motif "$pkgdir"/usr/bin/ || return 1
+	mv "$pkgdir"/usr/share/Ted/examples/rtf*.sh "$pkgdir"/usr/bin || \
+		return 1
+	mv "$pkgdir"/usr/share/Ted/doc/*.1 "$pkgdir"/usr/share/man/man1/ || \
+		return 1
+}
+
+
+motif() {
+	provides="ted=$pkgver-r$pkgrel"
+	depends="ted-common"
+	triggers="ted-motif.trigger=/usr/bin/Ted"
+	pkgdesc="An easy Rich Text Processor (Motif version)"
+	mkdir -p "$subpkgdir"/usr/bin || return 1
+	mv "$pkgdir"/usr/bin/Ted.motif "$subpkgdir"/usr/bin || return 1
+}
+
+common() {
+	depends=""
+	arch="noarch"
+	mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/share/Ted || return 1
+	mv "$pkgdir"/usr/share/applications "$subpkgdir"/usr/share/ || return 1
+	mv "$pkgdir"/usr/share/Ted/afm/ "$pkgdir"/usr/share/Ted/config/   \
+	   "$pkgdir"/usr/share/Ted/dfa/ "$pkgdir"/usr/share/Ted/Ted*.*    \
+        	"$subpkgdir"/usr/share/Ted/ || return 1
+}
+
+doc() {
+	depends=""
+	mkdir -p "$subpkgdir"/usr/share/ || return 1
+	mv "$pkgdir"/usr/share/Ted "$subpkgdir"/usr/share || return 1
+	default_doc || return 1
+	if test -e "$subpkgdir"/usr/share/man/man1/Ted.1 -a \
+	        -e "$subpkgdir"/usr/share/man/man1/Ted.1.gz
+	then
+	    rm -f "$subpkgdir"/usr/share/man/man1/Ted.1 || return 1
+	fi
+}
+
+md5sums="4199df0deb82a90450135ec3f2b7d915  ted-2.23.src.tar.gz"
+sha256sums="3fa992c2bc96af3ca788ef941cb5314f4a1d843202efd0201b8b4ee9adbf316c  ted-2.23.src.tar.gz"
+sha512sums="c6541e5a07545a08b30cb9b33429d9a7675f9252df32ccca5cdb4f2ff09978085d28d015a42922baf8c95db1ea6379a9d1088541aafd9ce45b8870212496849f  ted-2.23.src.tar.gz"
diff --git a/testing/ted/ted-motif.trigger b/testing/ted/ted-motif.trigger
new file mode 100755
index 0000000..ade36b3
--- /dev/null
+++ b/testing/ted/ted-motif.trigger
_at_@ -0,0 +1,4 @@
+#!/bin/sh
+
+[ -L /usr/bin/Ted ]  && exit 0
+[ -e /usr/bin/Ted ] || ln -s /usr/bin/Ted.motif /usr/bin/Ted
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 20 2016 - 21:15:00 GMT